MVTec Software GmbH
 

Systemanforderungen

Anforderungen für HALCON 19.05 Progress

Systemanforderungen

Spezielle Anforderungen für Deep Learning:

  • 64-Bit-Betriebssystem: Windows oder Linux
  • Spezielle NVIDIA GPU (weitere Informationen finden Sie in unserem Installation Guide)

Betriebssystem: Windows

Prozessor: Intel® Pentium 4 / AMD Athlon 64 oder besser

Compiler: Visual Studio2005 oder höher

Details: Systemanforderungen für Windows Server 2008 R2 / 7 / Server 2012 R2 / 8.1 / 10 + / Server 2016 x64 Editionen

  • Windows Server 2008 R2 x64 / 7 x64 / Server 2012 R2 x64/ 8.1 x64 / 10 x64 +/ Server 2016 / Server 2019 auf Intel 64 oder AMD 64
  • Läuft auch auf Windows Embedded Standard/Enterprise 7 (sofern alle notwendigen Komponenten enthalten sind)
  • Hinweis: unabhängig von HALCON können manche Bildeinzugsgeräte von Drittanbietern restriktivere Systemanforderungen aufweisen

Betriebssystem: Windows x64

Prozessor: Intel® 64 oder AMD 64

Compiler: Visual Studio 2005 oder höher

Details: Systemanforderungen für Windows Server 2008 R2 / 7 / Server 2012 R2 / 8.1 / 10 + / Server 2016 x64 Editionen

  • Windows Server 2008 R2 x64 / 7 x64 / Server 2012 R2 x64/ 8.1 x64 / 10 x64 +/ Server 2016 / Server 2019 auf Intel 64 oder AMD 64
  • Läuft auch auf Windows Embedded Standard/Enterprise 7 (sofern alle notwendigen Komponenten enthalten sind)
  • Hinweis: unabhängig von HALCON können manche Bildeinzugsgeräte von Drittanbietern restriktivere Systemanforderungen aufweisen

Betriebssystem: Linux x86_64

Prozessor: Intel 64 oder AMD 64

Compiler: gcc-5 oder neuer

Details: Systemanforderungen für Linux x86_64 mit gcc-5 (oder neuer)

  • Linux x86_64 mit gcc-5 und glibc 2.17 (oder neuer), libstdc++.so.6.0.21/GLIBCXX_3.4.21 (oder neuer) auf Intel 64 oder AMD 64
  • Hinweis: unabhängig von HALCON können manche Bildeinzugsgeräte von Drittanbietern restriktivere Systemanforderungen aufweisen

Betriebssystem: Linux Armv7-A

Prozessor: Armv7-A-kompatible Prozessoren mit Unterstützung für den NEON-Befehlssatz

Compiler: gcc-5 oder neuer

Details: Systemanforderungen für ARMv7-A mit gcc-5 (oder neuer)

  • Linux Armv7-A, gcc-5, glibc 2.7 (oder neuer), libstdc++.so 6.0.21/GLIBCXX_3.4.21 (oder neuer) und Hidraw-Kernel-Unterstützung
  • USB-Host-Port

Bitte beachten: HALCONs Deep-Learning-Inferenz wird nur auf der CPU unterstützt.

Betriebssystem: Linux AArch64

Prozessor: Armv8-A 64-bit kompatible Prozessoren mit Unterstützung für den NEON-Befehlssatz

Compiler: gcc-5 oder neuer

Details: Systemanforderungen für AArch64 mit gcc-5 (oder neuer)

  • Linux AArch64, gcc-5, glibc 2.17 (oder neuer), libstdc++.so 6.0.21/GLIBCXX_3.4.21 (oder neuer) und Hidraw-Kernel-Unterstützung
  • USB-Host-Port

Betriebssystem: macOS

Prozessor: Intel 64

Compiler: Xcode

Details: Systemanforderungen für macOS 10.13 / 10.14

  • Hardware mit macOS 10.13 / 10.14

Bitte beachten: Deep Learning wird auf dieser Plattform nicht unterstützt.

Unterstützung von Embedded-Plattformen durch MVTec HALCON

Details zu Embedded Vision mit MVTec-Software

Intel is a trademark of Intel Corporation or its subsidiaries in the U.S. and/or other countries.